/*
 *   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     %%  Project name: GSM INTERFACE, SEND SMS, UART, LCD        %%
     %%  MCU:             PIC16F877A                             %%
     %%  Dev.Board:       PIC                                    %%
     %%  Oscillator:      20.0 MHz                               %%
     %%  Software:  mikroC PRO for PIC                           %%
     %%  Programmer : Mr. Sourav Mitra, India ,Kolkata           %%
     %% Qualification: B-tech, Elect Eng..                       %%
     %%  Ph No- +91 9830497971 , Whatsapp- +91 8172078297        %%
     %%  Mail- smitra@live.com                                   %%
     %%   PLEASE CONTACT ME FOR ANY PROJECT, THANK YOU           %%
     %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 //   PLEASE CONTACT ME FOR ANY PROJECT, THANK YOU
     
     // LCD module connections   , LCD_RS ,EN, D4, D5, D6, D7 can find in LCD Pinout,
// PLEASE DONOT FORGET CONNECT TO LCD_RW PIn to Ground (-5 V DC)
// For more details Please visit
// https://libstock.mikroe.com/projects/view/2012/beginners-16-2-lcd-interface-example-with-pic-for-learn
*/
 // PLEASE CONNECT GSM MODULE TX TO PIC RX (RC7 RX) PIN
 // PLEASE CONNECT GSM MODULE RX PIN TO PIC TX PIN (RC6)
 //PLEASE CONNECT GSM MODULE GND -5V DC PIN TO PIC GND -5V DC
 // I Have added GSM TESTER, Pleaae connect a USB TO TTL Module to PIC RX TX For Test
 // or MAX232 serial to usb module
// LCD module connections


sbit LCD_RS at RB4_bit;
sbit LCD_EN at RB5_bit;
sbit LCD_D4 at RB0_bit;
sbit LCD_D5 at RB1_bit;
sbit LCD_D6 at RB2_bit;
sbit LCD_D7 at RB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;
// End LCD module connections

char txt1[] = "GSM MODULE";         //State LCD Print
char txt2[] = " PROGRAMMING";        //State LCD Print
char txt3[] = "NETWORK OK";              //State LCD Print
char txt4[] = "MASSAGESG SENT";          //State LCD Print

//char txt5[] = "SOURAV MITRA";  //State LCD Print
char *txt5 = "Hello Sourav";  // Please write text with in ""



void main(){
Lcd_Init();
Lcd_Cmd(_LCD_CLEAR);
Lcd_Cmd(_LCD_CURSOR_OFF);
Lcd_Out(1,1,txt1);
Lcd_Out(2,1,txt2);
Delay_ms(1000);
Lcd_Cmd(_LCD_CLEAR);
Lcd_Cmd(_LCD_CURSOR_OFF);
Lcd_Out(1,1,txt3);

//CMCON = 7;                        //Disable Comparators
                      // Initialize LCD
UART1_init(9600);                   //Initiate baud rate to 9600
//send_atc(atc1); //here is the echo command
  Delay_ms(2000);

  Delay_ms(2000);                                         // Wait a bit after the  AT+CMGF=1 command
  UART1_Write_Text("AT+CMGS=");                           //'AT+CMGS=
  Delay_ms(1000);
  UART1_Write(0x22);                     // "
  Delay_ms(2000);
  UART1_Write_Text("09830497971");                         // Please give your no where have to send sms
  Delay_ms(2000);
  UART1_Write(0x22);                                      //"
  Delay_ms(2000);
  UART1_Write(0x0D) ;                                     //<CR> mean (Enter)
  Delay_ms(2000);
  //UART1_Write_Text("Hello Tiger is Tiger");         // State test value
  UART1_Write_Text(txt5);                             //variable text value ---char *txt5 = "SOURAV MITRA";

  Delay_ms(2000);
  UART1_Write(0x0D);                                      // <CR> mean (Enter)
  Delay_ms(2000);
  UART1_Write(26);                                        // Ctrl+Z
  Delay_ms(2000);
  UART1_Write(0x0D);                                      //<CR> mean (Enter)
  Delay_ms(2000);

Lcd_Cmd(_LCD_CLEAR);
Lcd_Cmd(_LCD_CURSOR_OFF);
Lcd_Out(1,1,txt4);
Delay_ms(1000);

}